/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.ui.common.beans;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import gov.va.med.fw.model.lookup.AbstractCode;
import gov.va.med.fw.model.lookup.Lookup;

public class WorkflowActionType extends UIAbstractLookup
{
    private static final long serialVersionUID = -6011424784853805301L;
    public static final Code CODE_CLOSE_SELECTED_ITEMS = new Code("1");

    private static Map map = null;

    static
    {
        map = new HashMap();
        map.put("1", new WorkflowActionType("1", "Close Selected Items"));
    }

    private WorkflowActionType(String code, String description)
    {
        super(code, description);
    }

    public static List findAll()
    {
        return new ArrayList(map.values());
    }

    public static Lookup getByCode(String code)
    {
        return (Lookup)map.get(code);
    }

    public static class Code extends AbstractCode
    {

        private static final long serialVersionUID = -2041908320137252523L;

        private Code(String code)
        {
            super(code);
        }

        public static Code getByCode(String code)
        {
            return (Code)getCode(Code.class, code);
        }
    }
}
